#
# spec file for package flash-player
#
# Copyright (c) 2016 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define build_standalone 1

Name:           flash-player
Version:        11.2.202.616
Release:        182.1
Summary:        Adobe Flash Plugin and Standalone Player
License:        SUSE-NonFree
Group:          Productivity/Networking/Web/Browsers
Url:            http://get.adobe.com/flashplayer/
%ifarch %ix86
Source0:        install_flash_player_%{version}_linux.i386.tar.gz
Source1:        flashplayer_%{version}_sa.i386.tar.gz
%endif
%ifarch x86_64
Source0:        install_flash_player_%{version}_linux.x86_64.tar.gz
Source1:        flashplayer_11.1.102.55_sa.x86_64.tar.bz2
%endif
# License referenced from http://www.adobe.com/legal/licenses-terms.html
Source2:        http://wwwimages.adobe.com/content/dam/Adobe/en/legal/licenses-terms/pdf/Flash%20Player_14.0.pdf
Source4:        flashplayer.desktop
Source5:        flashplayer.png
Source6:        mms.cfg
Source99:       update.sh
NoSource:       99
# PATCH-FIX-OPENSUSE desktop.diff -- Fix desktop file to be GNOME compatible
Patch0:         desktop.diff
# PATCH-FIX-OPENSUSE kcm_adobe_flash_player.desktop.patch asterios.dramis@gmail.com -- Make the KCM module X-KDE-System-Settings-Parent-Category entry compatible with newer KDE versions
Patch1:         kcm_adobe_flash_player.desktop.patch
%if 0%{?suse_version} > 1100
BuildRequires:  kde4-filesystem
%endif
%if 0%{?suse_version}
BuildRequires:  update-desktop-files
%endif
# Flash Player and the plugin dynamically opens that one and segfaults if not available (2008-11-12)
%ifarch %ix86
Requires:       libasound.so.2
Requires:       libcurl.so.4
%endif
%ifarch x86_64
Requires:       libasound.so.2()(64bit)
Requires:       libcurl.so.4()(64bit)
%endif
Provides:       flash-plugin = %{version}
%if 0%{?suse_version} >= 1110
# flash 10 does not need libflashsupport and using it can cause device conflicts
# just let flash talk with the default alsa plugin - bnc#539656
Provides:       libflashsupport = 1.2
Obsoletes:      libflashsupport <= 1.2
%ifarch x86_64
Provides:       libflashsupport-32bit = 1.2
Obsoletes:      libflashsupport-32bit <= 1.2
%endif
%endif
Provides:       netscape-plugins
Obsoletes:      netscape-plugins
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExclusiveArch:  %ix86 x86_64
%if 0%{!?_kde4_libdir:1}
%define _kde4_libdir %{_libdir}
%endif
%if 0%{!?_kde4_datadir:1}
%define _kde4_datadir %{_datadir}
%endif
%if 0%{!?_kde4_sharedir:1}
%define _kde4_sharedir %{_kde4_datadir}/kde4
%endif
%if 0%{!?_kde4_modulesdir:1}
%define _kde4_modulesdir %{_kde4_libdir}/kde4
%endif
%if 0%{!?_kde4_servicesdir:1}
%define _kde4_servicesdir %{_kde4_sharedir}/services
%endif

%description
This package contains Adobe's Flash Plugin for the supported Web
browsers in addition to a standalone flash player application.

%if 0%{?suse_version} > 1100

%package gnome
Summary:        Adobe Flash Plugin and Standalone Player Settings
Group:          Productivity/Networking/Web/Browsers
Requires:       %{name} = %{version}
Supplements:    packageand(gnome-session:flash-player)

%description gnome
This package contains Adobe's Flash Plugin Settings for the GNOME desktop.

%package kde4
Summary:        Adobe Flash Plugin and Standalone Player Settings
Group:          Productivity/Networking/Web/Browsers
Requires:       %{name} = %{version}
Supplements:    packageand(kdebase4-session:flash-player)
%kde4_runtime_requires

%description kde4
This package contains Adobe's Flash Plugin Settings for the KDE 4 desktop.

%endif

%prep
%setup -q -c %{name}-%{version} -a 0 -b 1
%patch0
%patch1
cp %{SOURCE2} .
mkdir EULA
mv Flash%20Player_14.0.pdf EULA/Flash\ Player_14.0.pdf

%build

%install
install -Dpm 0755 libflashplayer.so %{buildroot}%{_libdir}/browser-plugins/libflashplayer.so
# bnc#761975
#install -m 644 -D %{SOURCE6} %{buildroot}/etc/adobe/mms.cfg

mkdir -p %{buildroot}%{_datadir}/icons
rm -rf usr/share/icons/hicolor/24x24
%if 0%{?suse_version} <= 1100
rm -rf usr/share/icons/hicolor/*/apps/flash-player-properties.png
%endif
cp -a usr/share/icons/* %{buildroot}%{_datadir}/icons

%if 0%{?suse_version} > 1100
# KDE frontend
install -Dpm 0755 usr/%{_lib}/kde4/kcm_adobe_flash_player.so %{buildroot}%{_kde4_modulesdir}/kcm_adobe_flash_player.so
install -Dpm 0644 usr/share/kde4/services/kcm_adobe_flash_player.desktop %{buildroot}%{_kde4_servicesdir}/kcm_adobe_flash_player.desktop
# GNOME frontend
install -Dpm 0755 usr/bin/flash-player-properties %{buildroot}%{_bindir}/flash-player-properties
install -Dpm 0644 usr/share/applications/flash-player-properties.desktop %{buildroot}%{_datadir}/applications/flash-player-properties.desktop
%endif

%if %build_standalone
%if 0%{?suse_version} > 1030
%ifarch %ix86
if test -f install_flash_player_linux_sa/flashplayer ; then
	install -Dpm 0755 install_flash_player_linux_sa/flashplayer %{buildroot}%{_bindir}/flashplayer
else
	install -Dpm 0755 flashplayer %{buildroot}%{_bindir}/flashplayer
fi
install -Dpm 0644 %{SOURCE4} %{buildroot}%{_datadir}/applications/flashplayer.desktop
install -Dpm 0644 %{SOURCE5} %{buildroot}%{_datadir}/pixmaps/flashplayer.png
%suse_update_desktop_file flashplayer
%endif
%endif
%endif

%if 0%{?suse_version} > 1100
%suse_update_desktop_file flash-player-properties
%endif

%post
# This is an ugly hack: flash-player hard-requires SSE2. rpm nor zypp can
# limit installation to SSE2 equipped systems only. We have to choose one
# from two bad things: Install and let it crash or install and
# deliberately break it. We do the second here. (bnc856386).
if ! grep -q '^flags.*sse2' /proc/cpuinfo ; then
	rm %{_libdir}/browser-plugins/libflashplayer.so
%if 0%{?suse_version} > 1030
%ifarch %ix86
	rm %{_bindir}/flashplayer
%endif
%endif
	echo >&2 "Flash Player requires CPU with SSE2. It cannot work on your system."
	echo >&2 "Please uninstall it!"
fi

%files
%defattr(-,root,root,-)
%doc readme.txt EULA
%{_libdir}/browser-plugins/libflashplayer.so
#/etc/adobe/mms.cfg
#%dir /etc/adobe
%if 0%{?suse_version} > 1020
%{_datadir}/icons/hicolor/*x*/apps/flash-player-properties.png
%endif
%if %build_standalone
%if 0%{?suse_version} > 1030
%ifarch %ix86
%{_bindir}/flashplayer
%{_datadir}/applications/flashplayer.desktop
%{_datadir}/pixmaps/flashplayer.png
%endif
%endif
%endif

%if 0%{?suse_version} > 1100

%files gnome
%defattr(-,root,root,-)
%{_bindir}/flash-player-properties
%{_datadir}/applications/flash-player-properties.desktop

%files kde4
%defattr(-,root,root,-)
%{_kde4_modulesdir}/kcm_adobe_flash_player.so
%{_kde4_servicesdir}/kcm_adobe_flash_player.desktop

%endif

%changelog
* Tue Apr 26 2016 chris@computersalat.de
- Security update to 11.2.202.616 (bsc#974209):
  * APSA16-01, CVE-2016-1019
* Tue Dec 29 2015 meissner@suse.com
- Security update to 11.2.202.559 (bsc#960317):
  * APSB16-01, CVE-2015-8459, CVE-2015-8460, CVE-2015-8634,
    CVE-2015-8635, CVE-2015-8636, CVE-2015-8638, CVE-2015-8639,
    CVE-2015-8640, CVE-2015-8641, CVE-2015-8642, CVE-2015-8643,
    CVE-2015-8644, CVE-2015-8645, CVE-2015-8646, CVE-2015-8647,
    CVE-2015-8648, CVE-2015-8649, CVE-2015-8650, CVE-2015-8651
* Wed Dec  9 2015 meissner@suse.com
- Security update to 11.2.202.554 (bsc#958324):
  * APSB15-32, CVE number: CVE-2015-8045, CVE-2015-8047,
    CVE-2015-8048, CVE-2015-8049, CVE-2015-8050, CVE-2015-8418,
    CVE-2015-8454, CVE-2015-8455, CVE-2015-8055, CVE-2015-8056,
    CVE-2015-8057, CVE-2015-8058, CVE-2015-8059, CVE-2015-8060,
    CVE-2015-8061, CVE-2015-8062, CVE-2015-8063, CVE-2015-8064,
    CVE-2015-8065, CVE-2015-8066, CVE-2015-8067, CVE-2015-8068,
    CVE-2015-8069, CVE-2015-8070, CVE-2015-8071, CVE-2015-8401,
    CVE-2015-8402, CVE-2015-8403, CVE-2015-8404, CVE-2015-8405,
    CVE-2015-8406, CVE-2015-8407, CVE-2015-8408, CVE-2015-8409,
    CVE-2015-8410, CVE-2015-8411, CVE-2015-8412, CVE-2015-8413,
    CVE-2015-8414, CVE-2015-8415, CVE-2015-8416, CVE-2015-8417,
    CVE-2015-8419, CVE-2015-8420, CVE-2015-8421, CVE-2015-8422,
    CVE-2015-8423, CVE-2015-8424, CVE-2015-8425, CVE-2015-8426,
    CVE-2015-8427, CVE-2015-8428, CVE-2015-8429, CVE-2015-8430,
    CVE-2015-8431, CVE-2015-8432, CVE-2015-8433, CVE-2015-8434,
    CVE-2015-8435, CVE-2015-8436, CVE-2015-8437, CVE-2015-8438,
    CVE-2015-8439, CVE-2015-8440, CVE-2015-8441, CVE-2015-8442,
    CVE-2015-8443, CVE-2015-8444, CVE-2015-8445, CVE-2015-8446,
    CVE-2015-8447, CVE-2015-8448, CVE-2015-8449, CVE-2015-8450,
    CVE-2015-8451, CVE-2015-8452, CVE-2015-8453
* Tue Nov 10 2015 sbrabec@suse.com
- Security update to 11.2.202.548 (bsc#954512):
  * APSB15-28, CVE-2015-7651, CVE-2015-7652, CVE-2015-7653,
    CVE-2015-7654, CVE-2015-7655, CVE-2015-7656, CVE-2015-7657,
    CVE-2015-7658, CVE-2015-7659, CVE-2015-7660, CVE-2015-7661,
    CVE-2015-7662, CVE-2015-7663, CVE-2015-8042, CVE-2015-8043,
    CVE-2015-8044, CVE-2015-8046
* Fri Oct 16 2015 astieger@suse.com
- Security update to 11.2.202.540 (bsc#950474):
  * APSA15-05, CVE-2015-7645
* Tue Oct 13 2015 astieger@suse.com
- Security update to 11.2.202.535 (bsc#950169):
  * APSB15-25, CVE-2015-5569, CVE-2015-7625, CVE-2015-7626,
    CVE-2015-7627, CVE-2015-7628, CVE-2015-7629, CVE-2015-7630,
    CVE-2015-7631, CVE-2015-7632, CVE-2015-7633, CVE-2015-7634,
    CVE-2015-7643, CVE-2015-7644
* Tue Sep 22 2015 meissner@suse.com
- Security update to 11.2.202.521 (bsc#946880):
  * APSB15-23, CVE-2015-5567, CVE-2015-5568, CVE-2015-5570,
    CVE-2015-5571, CVE-2015-5572, CVE-2015-5573, CVE-2015-5574,
    CVE-2015-5575, CVE-2015-5576, CVE-2015-5577, CVE-2015-5578,
    CVE-2015-5579, CVE-2015-5580, CVE-2015-5581, CVE-2015-5582,
    CVE-2015-5584, CVE-2015-5587, CVE-2015-5588, CVE-2015-6676,
    CVE-2015-6677, CVE-2015-6678, CVE-2015-6679, CVE-2015-6682
* Tue Aug 11 2015 abergmann@suse.com
- Security update to 11.2.202.508 (bsc#941239):
  * APSB15-19, CVE-2015-3107, CVE-2015-5124, CVE-2015-5125,
    CVE-2015-5127, CVE-2015-5128, CVE-2015-5129, CVE-2015-5130,
    CVE-2015-5131, CVE-2015-5132, CVE-2015-5133, CVE-2015-5134,
    CVE-2015-5539, CVE-2015-5540, CVE-2015-5541, CVE-2015-5544,
    CVE-2015-5545, CVE-2015-5546, CVE-2015-5547, CVE-2015-5548,
    CVE-2015-5549, CVE-2015-5550, CVE-2015-5551, CVE-2015-5552,
    CVE-2015-5553, CVE-2015-5554, CVE-2015-5555, CVE-2015-5556,
    CVE-2015-5557, CVE-2015-5558, CVE-2015-5559, CVE-2015-5560,
    CVE-2015-5561, CVE-2015-5562, CVE-2015-5563
* Thu Jul 16 2015 astieger@suse.com
- Security update to 11.2.202.491 (bsc#937752):
  * APSA15-04, APSB15-18, CVE-2015-5122, CVE-2015-5123
* Wed Jul  8 2015 astieger@suse.com
- Security update to 11.2.202.481 (bsc#937339):
  * APSA15-03, CVE-2015-5119
  * APSB15-16, CVE-2014-0578, CVE-2015-3097, CVE-2015-3114,
    CVE-2015-3115, CVE-2015-3116, CVE-2015-3117, CVE-2015-3118,
    CVE-2015-3119, CVE-2015-3120, CVE-2015-3121, CVE-2015-3122,
    CVE-2015-3123, CVE-2015-3124, CVE-2015-3125, CVE-2015-3126,
    CVE-2015-3127, CVE-2015-3128, CVE-2015-3129, CVE-2015-3130,
    CVE-2015-3131, CVE-2015-3132, CVE-2015-3133, CVE-2015-3134,
    CVE-2015-3135, CVE-2015-3136, CVE-2015-3137, CVE-2015-4428,
    CVE-2015-4429, CVE-2015-4430, CVE-2015-4431, CVE-2015-4432,
    CVE-2015-4433, CVE-2015-5116, CVE-2015-5117, CVE-2015-5118
* Tue Jun 23 2015 sbrabec@suse.com
- Security update to 11.2.202.468 (bsc#935701):
  * APSB15-14, CVE-2015-3113
* Tue Jun  9 2015 sbrabec@suse.com
- Security update to 11.2.202.466 (bsc#934088):
  * APSB15-11, CVE-2015-3096, CVE-2015-3098, CVE-2015-3099,
    CVE-2015-3100, CVE-2015-3102, CVE-2015-3103, CVE-2015-3104,
    CVE-2015-3105, CVE-2015-3106, CVE-2015-3107, CVE-2015-3108
- update.sh: Use the new download URL.
* Wed May 13 2015 sbrabec@suse.com
- Security update to 11.2.202.460 (bsc#930677):
  * APSB15-09, CVE-2015-3044, CVE-2015-3077, CVE-2015-3078,
    CVE-2015-3079, CVE-2015-3080, CVE-2015-3081, CVE-2015-3082,
    CVE-2015-3083, CVE-2015-3084, CVE-2015-3085, CVE-2015-3086,
    CVE-2015-3087, CVE-2015-3088, CVE-2015-3089, CVE-2015-3090,
    CVE-2015-3091, CVE-2015-3092, CVE-2015-3093
* Tue Apr 14 2015 sbrabec@suse.com
- Security update to 11.2.202.457 (bsc#927089):
  * APSB15-06, CVE-2015-0346, CVE-2015-0347, CVE-2015-0348,
    CVE-2015-0349, CVE-2015-0350, CVE-2015-0351, CVE-2015-0352,
    CVE-2015-0353, CVE-2015-0354, CVE-2015-0355, CVE-2015-0356,
    CVE-2015-0357, CVE-2015-0358, CVE-2015-0359, CVE-2015-0360,
    CVE-2015-3038, CVE-2015-3039, CVE-2015-3040, CVE-2015-3041,
    CVE-2015-3042, CVE-2015-3043, CVE-2015-3044
* Thu Mar 12 2015 sbrabec@suse.com
- Security update to 11.2.202.451 (bsc#922033):
  * APSB15-05, CVE-2015-0332, CVE-2015-0333, CVE-2015-0334,
    CVE-2015-0335, CVE-2015-0336, CVE-2015-0337, CVE-2015-0338,
    CVE-2015-0339, CVE-2015-0340, CVE-2015-0341, CVE-2015-0342
- Improve update.sh:
  * format changes
  * support for reuse of update data in other directory
* Fri Feb  6 2015 sbrabec@suse.com
- Security update to 11.2.202.442 (bsc#915918):
  * APSB15-04, CVE-2015-0313, CVE-2015-0314, CVE-2015-0315,
    CVE-2015-0316, CVE-2015-0317, CVE-2015-0318, CVE-2015-0319,
    CVE-2015-0320, CVE-2015-0321, CVE-2015-0322, CVE-2015-0323,
    CVE-2015-0324, CVE-2015-0325, CVE-2015-0326, CVE-2015-0327,
    CVE-2015-0328, CVE-2015-0329, CVE-2015-0330, CVE-2015-0331
- Re-enable flashplayer executable binary for i386.
* Mon Jan 26 2015 sbrabec@suse.com
- Security update to 11.2.202.440 (bsc#914463):
  * APSA15-01, CVE-2015-0311
- Update of flashplayer (executable binary) for i386 is not
  available. Disabled!
* Thu Jan 22 2015 sbrabec@suse.com
- Security update to 11.2.202.438 (bsc#914333):
  * APSB15-02, CVE-2015-0310
* Wed Jan 14 2015 sbrabec@suse.com
- Security update to 11.2.202.429 (bsc#913057):
  * APSB15-01, CVE-2015-0301, CVE-2015-0302, CVE-2015-0303,
    CVE-2015-0304, CVE-2015-0305, CVE-2015-0306, CVE-2015-0307,
    CVE-2015-0308, CVE-2015-0309.
- Disable flash player on machines without SSE2 (bnc#856386).
- Remove outdated README and keep only up-to-date readme.txt.
* Thu Dec 11 2014 sbrabec@suse.com
- Security update to 11.2.202.425 (bsc#909219):
  * APSB14-27, CVE-2014-0580, CVE-2014-0587, CVE-2014-8443,
    CVE-2014-9162, CVE-2014-9163, CVE-2014-9164
* Wed Nov 26 2014 sbrabec@suse.com
- Security update to 11.2.202.424 (bnc#907257):
  * APSB14-26, CVE-2014-8439
* Wed Nov 12 2014 sbrabec@suse.com
- Security update to 11.2.202.418 (bnc#905032):
  * APSB14-24, CVE-2014-0573, CVE-2014-0574, CVE-2014-0576,
    CVE-2014-0577, CVE-2014-0581, CVE-2014-0582, CVE-2014-0583,
    CVE-2014-0584, CVE-2014-0585, CVE-2014-0586, CVE-2014-0588,
    CVE-2014-0589, CVE-2014-0590, CVE-2014-8437, CVE-2014-8438,
    CVE-2014-8440, CVE-2014-8441, CVE-2014-8442
* Wed Oct 15 2014 sbrabec@suse.com
- Security update to 11.2.202.411 (bnc#901334):
  * APSB14-22, CVE-2014-0569 (ZDI-14-365), CVE-2014-0564,
    CVE-2014-0558
* Tue Sep  9 2014 sbrabec@suse.com
- Security update to 11.2.202.406 (bnc#895856):
  * APSB14-21, CVE-2014-0547, CVE-2014-0548, CVE-2014-0549,
    CVE-2014-0550, CVE-2014-0551, CVE-2014-0552, CVE-2014-0553,
    CVE-2014-0554, CVE-2014-0555, CVE-2014-0556, CVE-2014-0557,
    CVE-2014-0559
* Wed Aug 13 2014 sbrabec@suse.com
- Security update to 11.2.202.400 (bnc#891688):
  * APSB14-18, CVE-2014-0538, CVE-2014-0540, CVE-2014-0541,
    CVE-2014-0542, CVE-2014-0543, CVE-2014-0544, CVE-2014-0545
* Wed Jul  9 2014 sbrabec@suse.com
- Security update to 11.2.202.394 (bnc#886472):
  * APSB14-17, CVE-2014-0537, CVE-2014-0539, CVE-2014-4671
- License update (LICENSE -> Flash%%20Player_14.0.pdf).
* Wed Jun 11 2014 sbrabec@suse.com
- Security update to 11.2.202.378 (bnc#882187, Redhat#1107822,
  Redhat#1107823):
  * APSB14-16, CVE-2014-0531, CVE-2014-0532, CVE-2014-0533,
    CVE-2014-0534, CVE-2014-0535, CVE-2014-0536
- Contents of flashplayer_11_sa.i386.tar.gz changed:
  spec file updated, supplementary script (update.sh) updated.
  Now it accepts both forms of this file seen in past.
* Wed May 14 2014 sbrabec@suse.com
- Security update to 11.2.202.359 (bnc#877649):
  * APSB14-14, CVE-2014-0516, CVE-2014-0517, CVE-2014-0518,
    CVE-2014-0519, CVE-2014-0520
* Tue Apr 29 2014 sbrabec@suse.com
- Security update to 11.2.202.356 (bnc#875577):
  * APSB14-13, CVE-2014-0515
* Thu Apr 10 2014 sbrabec@suse.com
- Security update to 11.2.202.350: (bnc#872692)
  * APSB14-09, CVE-2014-0506, CVE-2014-0507, CVE-2014-0508,
    CVE-2014-0509
* Wed Mar 12 2014 sbrabec@suse.com
- Security update to 11.2.202.346: (bnc#867808)
  * APSB14-08, CVE-2014-0503, CVE-2013-0504
* Fri Feb 21 2014 sbrabec@suse.com
- Security update to 11.2.202.341: (bnc#865021)
  * APSB14-07, CVE-2014-0498 CVE-2014-0499 CVE-2014-0502
- Contents of flashplayer_11_sa.i386.tar.gz changed back:
  spec file updated, supplementary script (update.sh) updated.
* Wed Feb  5 2014 sbrabec@suse.com
- Security update to 11.2.202.336: (bnc#862288)
  * APSB14-04, CVE-2014-0497
- Contents of flashplayer_11_sa.i386.tar.gz changed:
  spec file updated, supplementary script (update.sh) updated.
* Wed Jan 15 2014 sbrabec@suse.com
- Security update to 11.2.202.335: (bnc#858822)
  * APSB14-02, CVE-2014-0491, CVE-2014-0492
* Thu Dec 12 2013 sbrabec@suse.com
- Security update to 11.2.202.332: (bnc#854881)
  * APSB13-28, CVE-2013-5331, CVE-2013-5332
  * Prevents possible remote code execution!
* Wed Nov 13 2013 sbrabec@suse.com
- Security update to 11.2.202.327: (bnc#850220)
  * APSB13-26, CVE-2013-5329, CVE-2013-5330
- Supplementary script (update.sh) update:
  * Update to the new web pages layout.
  * Use original .tar.gz files released by Adobe.
* Thu Sep 12 2013 sbrabec@suse.com
- Update to 11.2.202.310: (bnc#839897)
  * APSB13-21, CVE-2013-3361, CVE-2013-3362, CVE-2013-3363,
    CVE-2013-5324
* Wed Jul 10 2013 sbrabec@suse.com
- Update to 11.2.202.297: (bnc#828810)
  * APSB13-17, CVE-2013-3344, CVE-2013-3345, CVE-2013-3347
* Wed Jun 12 2013 sbrabec@suse.com
- Update to 11.2.202.291: (bnc#824512)
  * APSB13-16, CVE-2013-3343
* Wed May 15 2013 burnus@net-b.de
- Update to 11.2.202.285: (bnc#819916)
  * CVE-2013-2728, CVE-2013-3324, CVE-2013-3325, CVE-2013-3326,
    CVE-2013-3327, CVE-2013-3328, CVE-2013-3329, CVE-2013-3330,
    CVE-2013-3331, CVE-2013-3332, CVE-2013-3333, CVE-2013-3334,
    CVE-2013-3335
* Wed Apr 10 2013 sbrabec@suse.com
- Update to 11.2.202.280: (bnc#814635)
  * APSB13-11, CVE-2013-1378, CVE-2013-1379, CVE-2013-1380,
    CVE-2013-2555
* Thu Mar 14 2013 burnus@net-b.de
- Use "Licence: SUSE-NonFree" in the spec file.
* Tue Mar 12 2013 sbrabec@suse.com
- Update to 11.2.202.275: (bnc#808973)
  * APSB13-09, CVE-2013-0646, CVE-2013-0650, CVE-2013-1371,
    CVE-2013-1375
* Wed Feb 27 2013 sbrabec@suse.com
- Update to 11.2.202.273: (bnc#806415)
  * APSB13-08, CVE-2013-0504, CVE-2013-0643, CVE-2013-0648
* Wed Feb 13 2013 sbrabec@suse.com
- Update to 11.2.202.270: (bnc#803485)
  * APSB13-05, CVE-2013-1372, CVE-2013-0645, CVE-2013-1373,
    CVE-2013-1369, CVE-2013-1370, CVE-2013-1366, CVE-2013-0649,
    CVE-2013-1365, CVE-2013-1374, CVE-2013-1368, CVE-2013-0642,
    CVE-2013-0644, CVE-2013-0647, CVE-2013-1367, CVE-2013-0639,
    CVE-2013-0638, CVE-2013-0637
* Fri Feb  8 2013 sbrabec@suse.com
- Update to 11.2.202.262: (bnc#802809)
  * APSB13-04, CVE-2013-0633, CVE-2013-0634
* Wed Jan  9 2013 dmueller@suse.com
- Update to 11.2.202.261: (bnc#797442)
  * CVE-2013-0630
* Wed Dec 12 2012 dmueller@suse.com
- Update to 11.2.202.258: (bnc#794062):
  * CVE-2012-5676, CVE-2012-5677, CVE-2012-5678
* Tue Nov  6 2012 dmueller@suse.com
- Update to 11.2.202.251 (bnc#788450):
  * CVE-2012-5274, CVE-2012-5275, CVE-2012-5276, CVE-2012-5277,
  CVE-2012-5278, CVE-2012-5279, CVE-2012-5280
* Tue Oct  9 2012 dmueller@suse.com
- Update to 11.2.202.243: (bnc#784168)
  * CVE-2012-5248, CVE-2012-5249, CVE-2012-5250, CVE-2012-5251,
  CVE-2012-5252, CVE-2012-5253, CVE-2012-5254, CVE-2012-5255,
  CVE-2012-5256, CVE-2012-5257, CVE-2012-5258, CVE-2012-5259,
  CVE-2012-5260, CVE-2012-5261, CVE-2012-5262, CVE-2012-5263,
  CVE-2012-5264, CVE-2012-5265, CVE-2012-5266, CVE-2012-5267,
  CVE-2012-5268, CVE-2012-5269, CVE-2012-5270, CVE-2012-5271,
  CVE-2012-5272
* Wed Aug 15 2012 dmueller@suse.com
- Update to 11.2.202.238: (bnc#775986):
  * CVE-2012-1535
* Fri Jun  8 2012 dmueller@suse.com
- Update to 11.2.202.236: (bnc#766241)
  * CVE-2012-2034, CVE-2012-2035, CVE-2012-2036, CVE-2012-2037,
    CVE-2012-2038, CVE-2012-2039, CVE-2012-2040)
- remove mms.cfg again, causes crashes for many users (bnc#761975)
* Fri May  4 2012 dmueller@suse.com
- Update to 11.2.202.235: (bnc#760777)
  * CVE-2012-0779
* Wed Apr 25 2012 anixx@opensuse.org
- add file mms.cfg to fix inverted colors when using nvidia drivers
  (bnc#758645)
* Tue Apr 17 2012 dmueller@suse.com
- Update to 11.2.202.233: (bnc#757428):
  * This release addresses a printing issue that was found
  in the previous version of Flash Player.
* Thu Mar 29 2012 dmueller@suse.com
- Update to 11.2.202.228: (bnc#754689)
  http://www.adobe.com/support/security/bulletins/apsb12-07.html
  * CVE-2012-0773
* Tue Mar  6 2012 dmueller@suse.com
- Update to 11.1.102.63: (bnc#750614)
  http://www.adobe.com/support/security/bulletins/apsb12-05.html
  * CVE-2012-0768, CVE-2012-0769
* Thu Feb 16 2012 meissner@suse.com
- Update to 11.1.102.62: (bnc#747297)
  https://www.adobe.com/support/security/bulletins/apsb12-03.html
  CVEs fixed: CVE-2012-0751, CVE-2012-0752, CVE-2012-0753, CVE-2012-0754,
  CVE-2012-0755, CVE-2012-0756, CVE-2012-0767
* Fri Jan 27 2012 dmueller@suse.de
- fix provides/obsoletes causing arch-conflict
* Tue Jan 24 2012 ro@suse.de
- fix macros in specfile
* Mon Jan 16 2012 dmueller@suse.de
- provide/obsolete also libflashsupport for sled11-sp1
- add compat macros that are necessary after the "spec-cleaner run"
* Wed Dec 28 2011 asterios.dramis@gmail.com
- Added a patch (kcm_adobe_flash_player.desktop.patch) to make the KCM module
  X-KDE-System-Settings-Parent-Category entry compatible with newer KDE
  versions in order to not showup in the "Lost and Found" section.
- Spec-file updates:
  * Spec file cleanup based also on spec-cleaner run.
* Tue Nov 15 2011 dmueller@suse.de
- remove standalone binary for x86_64 as long as it is not updated
* Fri Nov 11 2011 dmueller@suse.com
- Update to 11.1.102.55 (bnc#729797):
  * CVE-2011-2445, CVE-2011-2450, CVE-2011-2451, CVE-2011-2452,
  CVE-2011-2453, CVE-2011-2454, CVE-2011-2455, CVE-2011-2456,
  CVE-2011-2457, CVE-2011-2458, CVE-2011-2459, CVE-2011-2460
* Tue Oct  4 2011 dmueller@suse.de
- update to 11.0.1.152 (bnc#722151):
  * See http://kb2.adobe.com/cps/919/cpsid_91932.html
  for details.
- enable building for x86_64
* Wed Sep 21 2011 dmueller@suse.com
- Update to 10.3.183.10: (bnc#719400):
  * Update to Flash Player that addresses a zero-day vulnerability.
* Wed Sep 21 2011 dmueller@suse.de
- update license to 10.3 EULA (bnc#575642)
* Fri Aug 26 2011 dmueller@suse.de
- Update to 10.3.183.7: (bnc#714365):
  * Shared library/gotoAndPlay() or gotoAndStop() bug
  * Textfields are displaying text vertically in 10.3.183.5 release
  * Massive Animation Slowdown following install of FP 10.3.183.5
  * Flash player 10.3 displays a black screen (2943064)
  * Sound repeating and building up bug (2941616)
  * Flash applications at certain websites (http://www.justin.tv,
  http://heylenmichel.de) now load correctly (2939645, 2944081)
* Wed Aug 10 2011 dmueller@suse.de
- Update to 10.3.183.5: (bnc#711427):
  * CVE-2011-2130, CVE-2011-2134, CVE-2011-2135, CVE-2011-2136,
    CVE-2011-2137,  CVE-2011-2138,  CVE-2011-2139,  CVE-2011-2140,
    CVE-2011-2414,  CVE-2011-2415,  CVE-2011-2416,  CVE-2011-2417,
    CVE-2011-2425
* Mon Jul  4 2011 dmueller@suse.de
- Update to 10.3.181.34: (bnc#703618):
  * Adobe Flash Player 10.3.181.34 addresses compatibility
  issues with some content using cross-domain policy files.
* Tue Jun 14 2011 dmueller@suse.de
- Update to 10.3.181.26: (bnc#699942):
  * CVE-2011-2110
* Mon Jun  6 2011 dmueller@suse.de
- Update to 10.3.181.22: (bnc#698261)
  * CVE-2011-2107
* Fri May 13 2011 dmueller@suse.de
- add missing requires
* Fri May 13 2011 dmueller@suse.de
- split kde4 and gnome subpackages
* Thu May 12 2011 dmueller@suse.de
- Update to 10.3.181.14 (bnc#693573):
  * CVE-2011-0589, CVE-2011-0618, CVE-2011-0619, CVE-2011-0620,
    CVE-2011-0621, CVE-2011-0622, CVE-2011-0623, CVE-2011-0624,
    CVE-2011-0625, CVE-2011-0626, CVE-2011-0627
  * Important security and bugfix enhancements
    http://www.adobe.com/go/apsb11-12
  * Acoustic echo cancellation
  * Simplified local storage management
  * Local settings manager
* Fri Apr 15 2011 dmueller@suse.de
- Update to 10.2.159.1: (bnc#686818):
  * CVE-2011-0611
* Mon Mar 28 2011 dmueller@suse.de
- update standalone player (bnc#682902)
* Mon Mar 21 2011 dmueller@suse.de
- Update to 10.2.153.1: (bnc#679672)
  * CVE-2011-0609
* Wed Feb  9 2011 meissner@suse.de
- updated to 10.2.152.26 (bnc#670531):
  * CVE-2011-0558, CVE-2011-0559, CVE-2011-0560, CVE-2011-0561,
  * CVE-2011-0571, CVE-2011-0572, CVE-2011-0573, CVE-2011-0574,
  * CVE-2011-0575, CVE-2011-0577, CVE-2011-0578, CVE-2011-0607,
  * CVE-2011-0608
  * http://www.adobe.com/support/security/bulletins/apsb11-02.html
* Thu Nov  4 2010 dmueller@suse.de
- update to 10.1.102.64  (bnc#650145):
  * CVE-2010-3654
* Mon Sep 20 2010 dmueller@suse.de
- update to 10.1.85.3 (bnc#639541):
  * CVE-2010-2884
* Tue Aug 10 2010 dmueller@suse.de
- update to 10.1.82.76 (bnc#630108):
  * CVE-2010-0209, CVE-2010-2188, CVE-2010-2213, CVE-2010-2214,
  CVE2010-2215, CVE-2010-2216
* Fri Jun 11 2010 dmueller@suse.de
- update to 10.1.53.64 (bnc#612063):
  * CVE-2008-4546, CVE-2009-3793, CVE-2010-1297, CVE-2010-2160,
  CVE-2010-2161, CVE-2010-2162, CVE-2010-2163, CVE-2010-2164,
  CVE-2010-2165, CVE-2010-2166, CVE-2010-2167, CVE-2010-2169,
  CVE-2010-2170, CVE-2010-2171, CVE-2010-2172, CVE-2010-2173,
  CVE-2010-2174, CVE-2010-2175, CVE-2010-2176, CVE-2010-2177,
  CVE-2010-2178, CVE-2010-2179, CVE-2010-2180, CVE-2010-2181,
  CVE-2010-2182, CVE-2010-2183, CVE-2010-2184, CVE-2010-2185,
  CVE-2010-2186, CVE-2010-2187, CVE-2010-2188, CVE-2010-2189
* Sat Feb 13 2010 dmueller@suse.de
- update to 10.0.45.2 (bnc#578997):
  * CVE-2010-0186, CVE-2010-0187
* Wed Dec 16 2009 dmueller@suse.de
- also provide libflashsupport, otherwise patch update
  complains about the obsolete
* Tue Dec 15 2009 lnussel@suse.de
- don't obsolete libflashsupport for now (bnc#560259)
* Wed Dec  9 2009 dmueller@suse.de
- update to 10.0.42.34 (bnc#560259):
  * CVE-2009-3794, CVE-2009-3796, CVE-2009-3797, CVE-2009-3798,
  CVE-2009-3799, CVE-2009-3800, CVE-2009-3951
* Fri Nov  6 2009 crrodriguez@opensuse.org
- flash player makes no sound in x86_64 if libasound.so.2
  is not installed and pulseaudio is disabled.
* Thu Oct  1 2009 sreeves@novell.com
- fix bnc#539656 - obsolete libflashsupport
* Thu Aug  6 2009 dmueller@suse.de
- also provide flash-plugin
* Fri Jul 31 2009 dmueller@suse.de
- update to 10.0.32.18 (bnc#524508):
  * CVE-2009-1862, CVE-2009-0901, CVE-2009-2395, CVE-2009-2493,
  CVE-2009-1863, CVE-2009-1864, CVE-2009-1865, CVE-2009-1866,
  CVE-2009-1867, CVE-2009-1868, CVE-2009-1869, CVE-2009-1870
* Wed Jun 17 2009 beineri@opensuse.org
- fix capitalization of start menu entry
* Wed Feb 25 2009 dmueller@suse.de
- update to 10.0.22.87 (bnc#476907):
  * CVE-2009-0519, CVE-2009-0520,CVE-2009-0522, CVE-2009-0114
  CVE-2009-0521
* Thu Dec 18 2008 dmueller@suse.de
- update to 10.0.15.3 (bnc#458573):
  CVE-2008-5499
* Wed Nov 12 2008 dmueller@suse.de
- require libcurl.so.4 (bnc#443772)
* Mon Nov  3 2008 dmueller@suse.de
- strip rpath from standalone player as well
* Mon Oct 27 2008 ro@suse.de
- fix typo in specfile
* Wed Oct 15 2008 dmueller@suse.de
- update to 10.0.12.36 (bnc#435201):
  * fixes for CVE-2007-6243, CVE-2008-3873, CVE-2007-4324,
  CVE-2008-4401, CVE-2008-4503
  * http://www.adobe.com/products/flashplayer/
* Wed Apr  9 2008 dmueller@suse.de
- update to 9.0.124.0 (bnc#376639)
  * CVE-2007-6637
* Tue Dec  4 2007 dmueller@suse.de
- update to 9.0.115.0 (#310213)
* Wed Jul 11 2007 dmueller@suse.de
- update to 9.0.48.0 (#257905,
  CVE-2007-3456, CVE-2007-3457, CVE-2007-2022)
* Thu Apr 12 2007 dmueller@suse.de
- add standalone flash player binary (#263332)
* Wed Jan 17 2007 dmueller@suse.de
- update to 9.0.31.0 (FATE #301150)
* Thu Dec  7 2006 coolo@suse.de
- update to 7.0.69.0 (CVE-2006-5330, #213291)
* Wed Sep 13 2006 dmueller@suse.de
- update to 7.0.68.0 (CVE-2006-3311, CVE-2006-3587, CVE-2006-3588,
  [#205382])
* Thu Mar 16 2006 ltinkl@suse.cz
- fix #158227 - VUL-0: vulnerability in flash-player
  (Flash installer updated to 7.0.63.0)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Sep 28 2005 dmueller@suse.de
- add norootforbuild
* Mon Jul 26 2004 clahey@suse.de
- Update to version 7.0.25.0.
* Wed Mar 31 2004 aj@suse.de
- Update to version 6.0r81:
  * flash scripting fixes
  * video quality and playback speed improvements
  * performance improvements
* Fri Jun 20 2003 ro@suse.de
- don't include dir in filelist, is in filesystem package now
* Sun Mar 16 2003 ro@suse.de
- security update to version 6.0r79
* Mon Feb 24 2003 ro@suse.de
- created (obsoletes old netscape-plugins package)
